[package]
name = "tilescript-playground"
version.workspace = true
edition.workspace = true
license.workspace = true
publish.workspace = true

[lib]
crate-type = ["cdylib", "rlib"]

[dependencies]
console_error_panic_hook.workspace = true
tilescript-config = { path = "../../crates/config" }
tilescript-core = { path = "../../crates/core" }
tilescript-css = { path = "../../crates/css" }
tilescript-runtime-js-browser = { path = "../../crates/runtimes/js/browser" }
tilescript-runtime-lua-browser = { path = "../../crates/runtimes/lua/browser" }
tilescript-scene = { path = "../../crates/scene" }
js-sys.workspace = true
leptos = { workspace = true, features = ["csr"] }
leptos_router.workspace = true
serde.workspace = true
serde_json.workspace = true
serde-wasm-bindgen.workspace = true
wasm-bindgen.workspace = true
wasm-bindgen-futures.workspace = true
web-sys = { workspace = true, features = [
  "CssStyleDeclaration",
  "Document",
  "Element",
  "Event",
  "EventTarget",
  "HtmlElement",
  "KeyboardEvent",
  "Navigator",
  "HtmlSelectElement",
  "HtmlTextAreaElement",
  "Storage",
  "Clipboard",
  "Blob",
  "BlobPropertyBag",
  "HtmlAnchorElement",
  "Window",
  "Url",
] }
